com.beanit.asn1bean.ber.types

## Class BerOctetString

- java.lang.Object
- - com.beanit.asn1bean.ber.types.BerOctetString

- All Implemented Interfaces:
    BerType, java.io.Serializable
  Direct Known Subclasses:
    BerBMPString, BerGeneralString, BerGraphicString, BerIA5String, BerNumericString, BerPrintableString, BerTeletexString, BerUniversalString, BerUTF8String, BerVideotexString

      public class BerOctetString
      extends java.lang.Object
      implements java.io.Serializable, BerType

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BerTag` | `tag`
    `byte[]` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BerOctetString()`
    `BerOctetString(byte[] value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decode(java.io.InputStream is)`
    `int` | `decode(java.io.InputStream is, boolean withTag)`
    `int` | `encode(java.io.OutputStream reverseOS)`
    `int` | `encode(java.io.OutputStream reverseOS, boolean withTag)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tag

          public static final BerTag tag

    - #### value

          public byte[] value

  - ### Constructor Detail

    - #### BerOctetString

          public BerOctetString()

    - #### BerOctetString

          public BerOctetString(byte[] value)

  - ### Method Detail

    - #### encode

          public int encode(java.io.OutputStream reverseOS)
                     throws java.io.IOException

      Specified by:
        `encode` in interface `BerType`
      Throws:
        `java.io.IOException`

    - #### encode

          public int encode(java.io.OutputStream reverseOS,
                            boolean withTag)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decode

          public int decode(java.io.InputStream is)
                     throws java.io.IOException

      Specified by:
        `decode` in interface `BerType`
      Throws:
        `java.io.IOException`

    - #### decode

          public int decode(java.io.InputStream is,
                            boolean withTag)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`